package com.ebts.generator.service;

import java.util.List;

import com.ebts.common.utils.ServerResult;
import com.ebts.generator.entity.UniQuery;

/**
 * 万能查询Service接口
 *
 * @author binlin
 * @date 2021-01-30
 */
public interface UniQueryService {
    /**
     * 查询万能查询
     *
     * @param id 万能查询ID
     * @return 万能查询
     */
    ServerResult<UniQuery> selectUniQueryById(Long id);

    /**
     * 查询万能查询列表
     *
     * @param uniQuery 万能查询
     * @return 万能查询集合
     */
    ServerResult<List<UniQuery>> selectUniQueryList(UniQuery uniQuery);

    /**
     * 新增万能查询
     *
     * @param uniQuery 万能查询
     * @return 结果
     */
    ServerResult<Integer> insertUniQuery(UniQuery uniQuery);

    /**
     * 修改万能查询
     *
     * @param uniQuery 万能查询
     * @return 结果
     */
    ServerResult<Integer> updateUniQuery(UniQuery uniQuery);

    /**
     * 批量删除万能查询
     *
     * @param ids 需要删除的万能查询ID
     * @return 结果
     */
    ServerResult<Integer> deleteUniQueryByIds(Long[] ids);

    /**
     * 删除万能查询信息
     *
     * @param id 万能查询ID
     * @return 结果
     */
    ServerResult<Integer> deleteUniQueryById(Long id);
}
